#include <stdio.h>

int main () {

	int N, resenje, min, srednja, max, n1, n2, n3; /*min je je najmanja cifra, srednja je srednja cifra a max je najveca cifra broja N.
							n1, n2 i n3 su redom cifre broja N, a resenje je najmanji broj sacinjen od tih cifara. */
	scanf("%d", &N);
	if (N<100 || N>999){ //Provera da li je broj pozitivan i trocifren. Ako nije ispisuje -1 i prekida program.
		printf("-1\n");
		return -1;
	}
	else{
		n1=N/100; //Izracunavanje cifara broja N.
		n2=(N%100)/10;
		n3=N%10;
		max=(n1>n2)? n1 : n2; //Izracunavanje najvece i najmanje cifre.
		max=(max>n3)? max : n3;
		min=(n1<n2)? n1 : n2;
		min=(min<n3)? min : n3;
		if (max==n1) { //Na osnovu najmanje i najvece cifre odredjivanje srednje cifre.
			if (min==n2){
				srednja=n3;
			}
			else if (min==n3){
				srednja=n2;
			}
		}
		else if (max==n2){
			if (min==n1){
				srednja=n3;
			}
			else if (min==n3){
				srednja=n1;
			}
		}
		else {
			if (min==n1){
				srednja=n2;
			}
			else {
				srednja=n1;
			}
		}

		resenje=min*100 + srednja*10 + max; //Izracunavanje najmanjeg broja sacinjenog od cifara broja N.
		printf("%d\n", resenje); 
	}
	return 0;
}
